Package org.eclipse.lemminx.extensions.catalog

## Class CatalogEntry

- java.lang.Object
- - org.eclipse.lemminx.extensions.catalog.CatalogEntry

Direct Known Subclasses:
  `CatalogCatalogEntry`, `URICatalogEntry`

    public abstract class CatalogEntry
    extends Object

Represents a catalog entry that references an external document

### Constructor Summary

Constructors
`protected` `CatalogEntry​(String baseURI, DOMElement entryElement)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`String` `getBaseURI()` Returns the base URI for this catalog entry
`protected DOMElement` `getEntryElement()` Returns the element that corresponds with this catalog entry
`abstract DOMRange` `getLinkRange()` Returns the range in the document where the link to an external document is, or null if this catalog entry does not refer to an external document
`abstract String` `getResolvedURI()` Returns the URI for the document that this catalog entry references, or null if this catalog entry does not refer to an external document

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CatalogEntry

    protected CatalogEntry​(String baseURI,
                           DOMElement entryElement)

Parameters:
  `baseURI` - <catalog>'s xml:base + <group>'s xml:base (if in a <group>)
  `entryElement` - the element that corresponds with this catalog entry

### Method Detail

#### getBaseURI

    public String getBaseURI()

Returns the base URI for this catalog entry

Returns:
  the base URI for this catalog entry

#### getEntryElement

    protected DOMElement getEntryElement()

Returns the element that corresponds with this catalog entry

Returns:
  the element that corresponds with this catalog entry

#### getLinkRange

    public abstract DOMRange getLinkRange()

Returns the range in the document where the link to an external document is, or null if this catalog entry does not refer to an external document

Returns:
  the range in the document where the link to an external document is

#### getResolvedURI

    public abstract String getResolvedURI()

Returns the URI for the document that this catalog entry references, or null if this catalog entry does not refer to an external document

Returns:
  the URI for the document that this catalog entry references